@import "./general/general.css";
@import "./general/containers.css";
@import "./general/spacing.css";


/* Sticky Header 
--------------------------------------------*/
    .main-navigation-container.still-sticky {
        top: -200px;
        position: fixed;
        width: 100%;
        left: 0;
        transition: top 0.5s ease-in-out;
        z-index: 5;
    }
    .main-navigation-container.sticky-header {
        top: 0;
        position: fixed !important;
        z-index: 100;    
        transition: top 0.5s ease-in-out;
    }
	header .still-sticky .header-logo {
		width: 145px;
		height: 40px;
	}
	header .still-sticky .menu li {
		padding: 0;
	}
	header .still-sticky .menu a {
		font-size: 12px;
		color: #fff !important;;
	}
	.still-sticky .header-top {
	    -webkit-box-shadow: 0 0 transparent, 0 0 transparent, 0 5px 5px -4px rgba(8, 8, 8, 0.9);
	    box-shadow: 0 0 transparent, 0 0 transparent, 0 5px 5px -4px rgba(8, 8, 8, 0.9);
	    background-color: rgba(8, 8, 8, 0.9) !important;
	}
	body header .still-sticky .wpml-ls-display {
		color: #fff;
	}

/* Sliders
****************************************************************/


/* Header menu
****************************************************************/
	header .header-top {
		display: grid;
		grid-template-columns: 1fr 10.42vw 1fr; /* 200 */
	    padding: 1.25vw 7.03vw; /* 24 135 */
	    align-items: center;
	}

	/* Menu style
	--------------------------------------------------*/	
		#theme-main-menu_dx {
			justify-content: flex-end;
			width: 100%;
		}
		#theme-main-menu_sx {
			width: 100%;
			justify-content: flex-start;
		}

		header .menu {
			display: flex;
			margin: 0;
			gap: 7.03vw; /* 135 */
		}
		header .menu li {
			list-style: none !important;
		}
		header .menu a {
			font-family: var(--font-martel-lg);
			font-size: 0.94vw; /* 18 */
			color: var(--gray-700);
			text-transform: uppercase;
			line-height: 1.67em;
			letter-spacing: 0.02em;
			transition: color 0.3s ease-in-out;
		}
		header .menu a:hover,
		header .menu .current-menu-item a {
			color: var(--gray-500);
		}

	/* Logo style
	--------------------------------------------------*/	
		header .logo-container a {
			width: 10.42vw;
			height: 5.21vw;
			display: block;
			padding: 0.52vw;
		}

/* Scroll to top button
****************************************************************/
	button.scroll-to-top i {
	    width: auto;
	    height: auto;
	    border-radius: unset;
	    font-size: 12px;
	    color: #fff;
	    padding: 9px 18px;
	    box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
	    -webkit-transition: all 0.2s ease;
	    -ms-transition: all 0.2s ease;
	    transition: all 0.2s ease;
	    background-color: #8a8a8a;
	}
	button.scroll-to-top {
	    position: fixed;
	    bottom: -1px;
	    right: 1em;
	    cursor: pointer;
	    z-index: 80;
	    background: none;
	    border: none;
	    outline: none;
	    display: none;
	}

/* FOOTER
**********************************************************************************/
	.social-links .menu {
		justify-content: center;
		margin-top: 20px;
	}
	.social-links .menu .single-social a {
		font-size: 18px !important;
		margin: 0 10px;
		color: #818181;
	}
	.single-social a:hover :before {
		color: #b59677;
	}
	#footer-notes {
		padding-top: 15px;
		padding-bottom: 15px;
	}

	.footer-menu {
		margin-top: 30px;
	}
	.footer-menu .menu {
		display: flex;
		justify-content: center;
		margin-left: 0;
	}
	.footer-menu .menu li {
		list-style: unset;
		padding: 0 15px;
		border-left: 1px solid #d2d2d2;
	}
	.footer-menu .menu li a {
		font-weight: 400;
		color: #999999;
		font-size: 14px;
		font-family: "FiraMono-Regular", sans-serif;
	}
	.footer-menu .menu li:first-child {
		border-left: unset;
	}
	
	#footer-notes {
		border-top: 1px solid #d3d3d3;
	}
	#footer-notes p,
	#footer-notes a {
		font-family: "FiraMono-Regular", sans-serif;
		font-size: 13px;
		color: #999999;
	}